> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/it/comandi-powershell/out-udtabledata.md).

# Out-UDTableData

### Sinossi

Formatta i dati da restituire dal blocco di script -LoadRows di New-UDTable.

### Sintassi

```powershell
Out-UDTableData [-Data] <Object> [-Page] <Int32> [-TotalCount] <Int32> [-Properties] <String[]> [<CommonParameters>]
```

### Descrizione

Formatta i dati da restituire dal blocco di script -LoadRows di New-UDTable.

### Parametri

#### -Data I dati da restituire da LoadRows.Required?                    truePosition?                    1Default valueAccept pipeline input?       true (ByValue)AliasesAccept wildcard characters?  false-PageLa pagina corrente in cui ci si trova all'interno della tabella.Required?                    truePosition?                    2Default value                0Accept pipeline input?       falseAliasesAccept wildcard characters?  false-TotalCountIl numero totale di elementi all'interno del set di dati.Required?                    truePosition?                    3Default value                0Accept pipeline input?       falseAliasesAccept wildcard characters?  false-Properties \<String\[]>Le proprietà attualmente passate dalla tabella. È possibile restituire l'array dall'array $EventData.Properties.Required?                    truePosition?                    4Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216).Output--------------------------> ESEMPIO 1 --------------------------PS > See New-UDTable for examples.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/it/comandi-powershell/out-udtabledata.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
